SilverLining: SilverLining::Plane Class Reference

SilverLining 2.36

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# SilverLining::Plane Class Reference

A geometric plane, modelled as a normal vector and a distance to the plane. More...

`#include <Plane.h>`

Inheritance diagram for SilverLining::Plane:
[legend]
Collaboration diagram for SilverLining::Plane:
[legend]

List of all members.

## Public Member Functions
| Plane ()
| Default constructor, performs no intializations.
| Plane (double a, double b, double c, double d)
| Constructor that initializes the plane based on coefficients of the plane equation, ax + by + cz + d = 0.
| Plane (Vector3 pNormal, double pDistance)
| Constructor that initializes the plane based on a normal vector and a distance to the plane, which is how the plane is represented internally.
const Vector3 &SILVERLINING_API | GetNormal () const
| Retrieves the normal vector for the plane.
double SILVERLINING_API | GetDistance () const
| Retrieves the distance to the plane.
void SILVERLINING_API | SetNormal (const Vector3 &v)
| Set the normal vector for the plane.
void SILVERLINING_API | SetDistance (double d)
| Set the distance to the plane.
void SILVERLINING_API | Normalize ()
| Normalizes the plane normal vector and adjusts the distance accordingly.

## Detailed Description

A geometric plane, modelled as a normal vector and a distance to the plane.

## Constructor & Destructor Documentation

SilverLining::Plane::Plane | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  | `[inline]`

Constructor that initializes the plane based on coefficients of the plane equation, ax + by + cz + d = 0.

SilverLining::Plane::Plane | ( | Vector3 | pNormal,
|  | double | pDistance
| ) |  | `[inline]`

Constructor that initializes the plane based on a normal vector and a distance to the plane, which is how the plane is represented internally.

## Member Function Documentation

double SILVERLINING_API SilverLining::Plane::GetDistance | ( |  | ) | const`[inline]`

Retrieves the distance to the plane.

const Vector3& SILVERLINING_API SilverLining::Plane::GetNormal | ( |  | ) | const`[inline]`

Retrieves the normal vector for the plane.

void SILVERLINING_API SilverLining::Plane::Normalize | ( |  | ) | `[inline]`

Normalizes the plane normal vector and adjusts the distance accordingly.

void SILVERLINING_API SilverLining::Plane::SetDistance | ( | double | d | ) | `[inline]`

Set the distance to the plane.

void SILVERLINING_API SilverLining::Plane::SetNormal | ( | const Vector3 & | v | ) | `[inline]`

Set the normal vector for the plane.

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/Plane.h